WordPress plugin Syntax Highlighter MT al 2 jaar oud

Voor Timdehoog.nl maak ik gebruik van de plugin Syntax Highlighter MT om mijn code mooier en makkelijker leesbaar te maken. In het Engels wordt het ook wel code highlighting genoemd.

Van de week gaf de plugin Wordfence, verantwoordelijk voor de beveiliging van de website, aan dat deze plugin al twee jaar niet meer ontwikkeld wordt. Ik heb dit gecontroleerd en op WordPress.org staat zelfs een gele balk die dezelfde melding toont.

Uit oogpunt van beveiliging en om er zeker van te zijn dat het allemaal juist blijft werken in combinatie met WordPress heb ik deze plugin verwijderd. Vervolgens heb ik de plugin SyntaxHighlighter Evolved geïnstalleerd. Op het moment van schrijven is deze 1 maand geleden nog bijgewerkt. Functioneel gezien doet hij eigenlijk hetzelfde als de eerder verwijderde plugin.

Je hoeft alleen maar blokhaken met daarin de taal om je code te zetten en deze weer netjes af te sluiten net als met HTML.

Voorbeelden van SyntaxHighlighter Evolved in actie:
https://www.timdehoog.nl/2017/12/08/wordpress-malware-javascript-code-onderzocht/
https://www.timdehoog.nl/2017/12/09/wordpress-shortcode-voor-fotoalbum-afbeelding-titel-en-hyperlink/

Laat een reactie achter

Deze website gebruikt Akismet om spam te verminderen. Bekijk hoe je reactie-gegevens worden verwerkt.